public class DrawningObjectBulldozer implements IMoveableObject{
    private DrawningBulldozer drawningBulldozer = null;
    public DrawningObjectBulldozer(DrawningBulldozer drawningBulldozer) {
        this.drawningBulldozer = drawningBulldozer;
    }
    @Override
    public ObjectParameters getObjectsPosition() {
        if (drawningBulldozer == null || drawningBulldozer.getEntityBulldozer() == null) {
            return null;
        }
        return new ObjectParameters(drawningBulldozer.getPosX(), drawningBulldozer.getPosY(),
                drawningBulldozer.getWidth(), drawningBulldozer.getHeight());
    }
    @Override
    public int getStep() {
        if (drawningBulldozer == null)
            return 0;
        return (int) ((drawningBulldozer.getEntityBulldozer() != null) ? drawningBulldozer.getEntityBulldozer().getStep() : 0);
    }
    @Override
    public boolean checkCanMove(DirectionBulldozer direction) {
        if (drawningBulldozer == null)
            return false;
        return drawningBulldozer.CanMove(direction);
    }
    @Override
    public void moveObject(DirectionBulldozer direction) {
        if (drawningBulldozer != null)
            drawningBulldozer.MoveTransport(direction);
    }
}
